Skip to content
EN

创建任务-lucataco/animate-diff

方法: POST路径: /replicate/v1/predictions

https://replicate.com/lucataco/animate-diff 为您的个性化文本到图像扩散模型制作动画

请求参数

Header 参数

text
Content-Type
string
必需
示例:
application/json
Authorization
string
可选
默认值:
Bearer {{YOUR_API_KEY}}

Body 参数 application/json

text
version
string
必需
input
object
必需
seed
integer
必需
image
string
必需
steps
integer
必需
prompt
string
必需
cfg_scale
integer
必需
scheduler
string
必需
sampler_name
string
必需
negative_prompt
string
必需
denoising_strength
number
必需
outpaint_direction
string
必需
overlay_original_img
boolean
必需
示例
{
"version"
:
"beecf59c4aee8d81bf04f0381033dfa10dc16e845b4ae00d281e2fa377e48a9f"
,
"input"
:
{
"path"
:
"toonyou_beta3.safetensors"
,
"seed"
:
255224557
,
"steps"
:
25
,
"prompt"
:
"masterpiece, best quality, 1girl, solo, cherry blossoms, hanami, pink flower, white flower, spring season, wisteria, petals, flower, plum blossoms, outdoors, falling petals, white hair, black eyes"
,
"n_prompt"
:
"badhandv4, easynegative, ng_deepnegative_v1_75t, verybadimagenegative_v1.3, bad-artist, bad_prompt_version2-neg, teeth"
,
"motion_module"
:
"mm_sd_v14"
,
"guidance_scale"
:
7.5
}
}

请求示例代码

Shell

bash
curl --location --request POST '/replicate/v1/predictions' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'Content-Type: application/json' \
--data-raw '{
    "version": "beecf59c4aee8d81bf04f0381033dfa10dc16e845b4ae00d281e2fa377e48a9f",
    "input": {
      "path": "toonyou_beta3.safetensors",
      "seed": 255224557,
      "steps": 25,
      "prompt": "masterpiece, best quality, 1girl, solo, cherry blossoms, hanami, pink flower, white flower, spring season, wisteria, petals, flower, plum blossoms, outdoors, falling petals, white hair, black eyes",
      "n_prompt": "badhandv4, easynegative, ng_deepnegative_v1_75t, verybadimagenegative_v1.3, bad-artist, bad_prompt_version2-neg, teeth",
      "motion_module": "mm_sd_v14",
      "guidance_scale": 7.5
    }
  }'

返回响应

🟢 200 成功

内容类型: application/json

响应结构

text
object

示例

json
{}